function refreshBugs() {
	mozileDebugArray = opener.mozileDebugArray;
	vbox = document.getElementById("bugs");
	mozileRemoveChildren(vbox);
	for(var i=0; i < mozileDebugArray.length; i++) {
		var bug = mozileDebugArray[i];

		var hbox = document.createElement("hbox");
		hbox.setAttribute("class", "level"+bug[2]);
		
		var datestamp = document.createElement("description");
		datestamp.setAttribute("class","datestamp");
		datestamp.setAttribute("value",bug[0]);
		hbox.appendChild(datestamp);
		
		var functions = document.createElement("description");
		functions.setAttribute("class","functions");
		functions.setAttribute("value", "["+ bug[1] +"]");
		hbox.appendChild(functions);
		
		var message = document.createElement("description");
		message.setAttribute("class","message");
		message.setAttribute("value",bug[3]);
		hbox.appendChild(message);
		
		vbox.appendChild(hbox);
	}
}

function mozileRemoveChildren(node) {	
	if(node.hasChildNodes()!=true) {
		return node;
	}
	var children = node.childNodes;	
	for(var i=0; i<children.length; i++) {
		node.removeChild(children[i]);
	}
	return node;
}